export function createLicenseBar(license, max_duration) {
    const container = document.createElement('div');
    container.className = 'license-bar';
    // License name and slot info
    const nameSection = document.createElement('div');
    nameSection.className = 'license-info';
    nameSection.innerHTML = `
        <div class="license-name">${license.licenseName}</div>
        <div class="slot-info">${license.usedSlots}/${license.totalSlots} slots</div>
    `;

    // Usage bars container
    const barsContainer = document.createElement('div');
    barsContainer.className = 'usage-bars';

    // Create bars for each slot
    for (let i = 0; i < license.totalSlots; i++) {
        const usage = license.usageDetails[i];
        const bar = document.createElement('div');
        bar.className = 'bar-container';

        const barContainer = document.createElement('div');
        barContainer.className = 'bar-wrapper';


        if (!usage) {
            const bar = document.createElement('div');
            bar.className = 'bar free';
            const label = document.createElement('div');
            label.className = 'bar-label';
            label.textContent = 'AVAILABLE';
            bar.appendChild(label);
            bar.style.width = '100%';
            requestAnimationFrame(() => {
                label.style.transform = 'translate(0%)';
            });
        } else {
            const bar = document.createElement('div');
            bar.className = 'bar';
            const width = usage.duration / max_duration * 100;
            // 创建标签容器
            const labelContainer = document.createElement('div');
            labelContainer.className = 'label-container';

            // 用户信息标签
            const userLabel = document.createElement('div');
            userLabel.className = 'user-label';
            userLabel.textContent = usage.userName;

            // 时长标签
            const durationLabel = document.createElement('div');
            durationLabel.className = 'duration-label';
            durationLabel.textContent = `${usage.duration.toFixed(1)}h`;

            if (width < 50) {
                labelContainer.appendChild(durationLabel);
                bar.appendChild(userLabel);
            } else {
                bar.appendChild(userLabel);
                labelContainer.appendChild(durationLabel);
            }
            // const label = document.createElement('div');
            // label.className = 'bar-label';
            // label.textContent = `${usage.userName} (${usage.duration}h)`;
            // // const hostLabel = document.createElement('div');
            // // hostLabel.className = 'user_info-label';
            // // hostLabel.textContent = ``;
            // // // hostLabel.textContent = `${usage.userName}@${usage.hostName}`;

            // // barElement.appendChild(hostLabel);
            // barElement.appendChild(label);
            // 将标签添加到bar容器中
            barContainer.appendChild(labelContainer);
            barContainer.appendChild(bar);

            requestAnimationFrame(() => {
                const user_width = userLabel.offsetWidth;
                const duration_width = labelContainer.offsetWidth
                const duration_per = duration_width / bar.offsetWidth;
                bar.style.width = `${width}%`;

                // 根据宽度决定标签位置
                if (width + duration_per >= 100) { // 如果超出bar的范围则放在里面
                    labelContainer.classList.add('inside');
                } else {
                    labelContainer.classList.remove('outside');
                    labelContainer.classList.add('outside');
                    // const per = user_width * 100 / bar.offsetWidth;
                    const rect1 = userLabel.getBoundingClientRect();
                    const rect2 = durationLabel.getBoundingClientRect();

                    // 检查重叠
                    const isOverlapping = !(rect1.right < rect2.left ||
                        rect1.left > rect2.right);

                    if (isOverlapping) {
                        // 如果重叠，将 element2 移动到 element1 的右侧
                        console.log("trace", rect1.right)
                        labelContainer.style.left = `${userLabel.offsetLeft + userLabel.offsetWidth + 10}px`; // 10px 的间距
                    } else {
                        labelContainer.style.left = `${width + max_duration / 200}%`
                    }
                }
            });
        }

        barsContainer.appendChild(barContainer);
    }

    container.appendChild(nameSection);
    container.appendChild(barsContainer);
    return container;
}