import { transformLicenseData } from '../utils/dataTransformer.js';

// 测试用的模拟数据
const mockData = {
    "27003@szmis03": {
        "name": "27003@szmis03",
        "total": 2,
        "used": 2,
        "used_info": [
            {
                "user": "ekko.bao",
                "host": "szl3bc1808",
                "login": "3.4h"
            },
            {
                "user": "zzc",
                "host": "szl3bc1808",
                "login": "6.9h"
            }
        ]
    },
    "27003@szmis04": {
        "name": "27003@szmis04",
        "total": 2,
        "used": 0,
        "used_info": []
    },
    "27003@szmis10": {
        "name": "27003@szmis10",
        "total": 2,
        "used": 1,
        "used_info": [{
            "user": "zzc33333",
            "host": "szl3bc1808",
            "login": "58.9h"
        }]
    }
};

export async function fetchLicenseData() {
    try {
        const response = await fetch('/vcast/lic_use_info');
        const data = await response.json();
        return transformLicenseData(data);
    } catch (error) {
        console.error('Error fetching license data:', error);
        return transformLicenseData(mockData);
    }
}